PartSheetmetal Class

class NXOpen.Preferences.PartSheetmetal

Bases: object

Represents the NX Sheetmetal preferences applicable to part

Preferences are in control of the part. They can not be created but can only be changed.

New in version NX4.0.0.

Methods

Method Description
Commit Commits and applies all the settings done with set_callout_type_display and set_object_type_display.
GetBendAllowanceFormula RETURNS the bend allowance formula
GetBendDeductionFormula Returns the bend deduction formula
GetBendDefinitionMethodOption RETURNS the bend definition method
GetBendRadius RETURNS the bend radius expression
GetBendReliefDepth RETURNS the bend relief depth
GetBendReliefWidth RETURNS the bend relief width
GetBendTable RETURNS the bend table name
GetDepthThreshold RETURNS the depth threshold
GetDeviationalToleranceInFlatSolid RETURNS the deviational tolerance during Flat Solid simplification
GetDistanceThreshold RETURNS the distance threshold
GetFlatPatternAllCalloutTypeDisplay Returns the dialog names, identifiers, and enabled status for all the available callout types.
GetFlatPatternAllObjectTypeDisplay Returns the types, colors, fonts, widths, and enabled status for all the the available object types.
GetFlatPatternCalloutOrientationType Returns the orientation type for flat pattern callouts.
GetFlatPatternCalloutTypeContents Returns the contents for a callout type.
GetFlatPatternCalloutTypeDisplay Returns the display data for a callout type.
GetFlatPatternObjectTypeDisplay Returns the display data for a flat pattern object type.
GetFlexibleCableBottomFaceColor RETURNS the bottom face color.
GetFlexibleCableTopFaceColor RETURNS the top face color.
GetHoleTreatmentDiameter RETURNS the hole treatment diameter value in Flat Pattern operation
GetHoleTreatmentType RETURNS the hole treatment type in Flat Pattern operation
GetInnerCornerTreatmentType RETURNS the inner corner treatment type in Flat as Solid operation
GetInnerCornerTreatmentValue RETURNS the inner corner treatment value for Flat as Solid operations
GetIsBsplineSimplifiedInFlatSolid RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation
GetIsSystemGeneratedBendReliefRemovedInFlatSolid RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
GetMaintainCircularShapeForHolesInFlatSolid Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation
GetMaterial RETURNS the material name saved with the part
GetMaterialNames RETURNS the material names defined in the material standards table
GetMaterialProperties RETURNS the material name saved with the part
GetMinimumArcToleranceInFlatSolid RETURNS the minimum arc tolerance during Flat Solid simplification
GetMinimumToolClearance Returns the minimum tool clearance expression
GetMinimumWebLength Returns the minimum Web Length expression
GetNeutralFactor RETURNS the neutral factor
GetOffsetRadius RETURNS the offset radius
GetOuterCornerTreatmentType RETURNS the outer corner treatment type in Flat as Solid operation
GetOuterCornerTreatmentValue RETURNS the out corner treatment value for Flat as Solid operations
GetSecondaryToolName Returns the secondaryToolName refered from Material Table
GetStationaryRadius RETURNS the stationary radius
GetTabCurveTypeDisplayData Returns the display data for a given tab curve type.
GetThickness RETURNS the thickness expression
GetTool Returns the tool name saved with the part
GetToolNames Returns the tool names defined in the material standards table
GetToolProperties Returns the tool properties saved with the part
SetBendAllowanceFormula SETS the bend allowance formula
SetBendDeductionFormula  
SetBendDefinitionMethodOption SETS the bend definition method
SetBendRadius The bend radius value
SetBendReliefDepth THE bend relief depth value
SetBendReliefWidth THE bend relief depth value
SetBendTable SETS the bend table name
SetDepthThreshold THE depth threshold
SetDeviationalToleranceInFlatSolid SETS the deviational tolerance during Flat Solid simplification
SetDistanceThreshold THE distance threshold
SetFlatPatternCalloutOrientationType Sets the orientation type for flat pattern callouts.
SetFlatPatternCalloutTypeContents Sets the contents for a callout type.
SetFlatPatternCalloutTypeDisplay Sets the display data for a callout type.
SetFlatPatternObjectTypeDisplay Sets the display data for a flat pattern object type.
SetFlexibleCableBottomFaceColor THE bottom face color.
SetFlexibleCableTopFaceColor THE top face color.
SetHoleTreatmentDiameter SETS the hole treatment diameter value in Flat Pattern operation
SetHoleTreatmentType SETS the hole treatment type in Flat Pattern operation
SetInnerCornerTreatmentType SETS the inner corner treatment type in Flat as Solid operation
SetInnerCornerTreatmentValue SETS the inner corner treatment value for Flat as Solid operations
SetIsBsplineSimplifiedInFlatSolid SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
SetIsSystemGeneratedBendReliefRemovedInFlatSolid SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
SetMaintainCircularShapeForHolesInFlatSolid Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation
SetMaterial The material standard
SetMinimumArcToleranceInFlatSolid SETS the minimum arc tolerance during Flat Solid simplification
SetMinimumToolClearance Sets minimum tool clearance expression
SetMinimumWebLength Sets minimum Web Length expression
SetNeutralFactor THE bend relief depth value
SetOffsetRadius THE offset radius
SetOuterCornerTreatmentType SETS the outer corner treatment type in Flat as Solid operation
SetOuterCornerTreatmentValue THE outer corner treatment value for Flat as Solid operations
SetSecondaryToolName  
SetStationaryRadius THE stationary radius
SetTabCurveTypeDisplayData Sets the display data for a given tab curve type.
SetThickness THE thickness value string
SetTool The tool standard

Enumerations

PartSheetmetalBendDefinitionMethodOptions Enumeration This enum represents the bend definition method options in preferences.
PartSheetmetalFlatPatternCalloutOrientationType Enumeration This enum represents orientation types for the flat pattern callouts
PartSheetmetalFlatPatternObjectType Enumeration The members of the following enumerated type are used to identify object types to the FlatPattern API.
PartSheetmetalTabCurveType Enumeration The following members are used to identify curve types of base tab feature.

Structs

PartSheetmetalFlatPatternCalloutTypeDisplay_Struct Struct The members of the following structure are the display data for a callout in a flat pattern drawing member view.
PartSheetmetalFlatPatternObjectTypeDisplay_Struct Struct The members of the following structure are the display data for an object in a flat pattern drawing member view.
PartSheetmetalTabCurveTypeDisplayData_Struct Struct The members of the following structure are the display data of a tab curve type

Method Detail

Commit

PartSheetmetal.Commit

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.

Signature Commit()

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendAllowanceFormula

PartSheetmetal.GetBendAllowanceFormula

RETURNS the bend allowance formula

Signature GetBendAllowanceFormula()

Returns:bend allowance formula
Return type:str

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendDeductionFormula

PartSheetmetal.GetBendDeductionFormula

Returns the bend deduction formula

Signature GetBendDeductionFormula()

Returns:bend deduction formula
Return type:str

New in version NX12.0.0.

License requirements: None.

GetBendDefinitionMethodOption

PartSheetmetal.GetBendDefinitionMethodOption

RETURNS the bend definition method

Signature GetBendDefinitionMethodOption()

Returns:bend definition method option
Return type:NXOpen.Preferences.PartSheetmetalBendDefinitionMethodOptions

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendRadius

PartSheetmetal.GetBendRadius

RETURNS the bend radius expression

Signature GetBendRadius()

Returns:expression object for radius of bend faces
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendReliefDepth

PartSheetmetal.GetBendReliefDepth

RETURNS the bend relief depth

Signature GetBendReliefDepth()

Returns:expression object for depth of bend relief
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendReliefWidth

PartSheetmetal.GetBendReliefWidth

RETURNS the bend relief width

Signature GetBendReliefWidth()

Returns:expression object for width of bend relief
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetBendTable

PartSheetmetal.GetBendTable

RETURNS the bend table name

Signature GetBendTable()

Returns:bend table name
Return type:str

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetDepthThreshold

PartSheetmetal.GetDepthThreshold

RETURNS the depth threshold

Signature GetDepthThreshold()

Returns:expression object for depth threshold of joggle
Return type:NXOpen.Expression

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetDeviationalToleranceInFlatSolid

PartSheetmetal.GetDeviationalToleranceInFlatSolid

RETURNS the deviational tolerance during Flat Solid simplification

Signature GetDeviationalToleranceInFlatSolid()

Returns:flag
Return type:float

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetDistanceThreshold

PartSheetmetal.GetDistanceThreshold

RETURNS the distance threshold

Signature GetDistanceThreshold()

Returns:expression object for distance threshold of joggle
Return type:NXOpen.Expression

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetFlatPatternAllCalloutTypeDisplay

PartSheetmetal.GetFlatPatternAllCalloutTypeDisplay

Returns the dialog names, identifiers, and enabled status for all the available callout types.

Signature GetFlatPatternAllCalloutTypeDisplay()

Returns:Array of structures with the callout type display data.
Return type:list of NXOpen.Preferences.PartSheetmetalFlatPatternCalloutTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlatPatternAllObjectTypeDisplay

PartSheetmetal.GetFlatPatternAllObjectTypeDisplay

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.

Signature GetFlatPatternAllObjectTypeDisplay()

Returns:Array of structures with the object type display data.
Return type:list of NXOpen.Preferences.PartSheetmetalFlatPatternObjectTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlatPatternCalloutOrientationType

PartSheetmetal.GetFlatPatternCalloutOrientationType

Returns the orientation type for flat pattern callouts.

Signature GetFlatPatternCalloutOrientationType()

Returns:The orientation type for the flat pattern callouts.
Return type:NXOpen.Preferences.PartSheetmetalFlatPatternCalloutOrientationType

New in version NX9.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlatPatternCalloutTypeContents

PartSheetmetal.GetFlatPatternCalloutTypeContents

Returns the contents for a callout type.

Signature GetFlatPatternCalloutTypeContents(calloutType)

Parameters:calloutType (str) – The name of the callout type for which to get the content.
Returns:The contents for the callout type.
Return type:list of str

New in version NX9.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlatPatternCalloutTypeDisplay

PartSheetmetal.GetFlatPatternCalloutTypeDisplay

Returns the display data for a callout type.

The name member of the NXOpen.Preferences.PartFlexiblePrintedCircuitDesignFlatPatternCalloutTypeDisplay_Struct is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Signature GetFlatPatternCalloutTypeDisplay(calloutType)

Parameters:calloutType (str) – The name of the callout type for which to get the display data.
Returns:The display data for the callout type.
Return type:NXOpen.Preferences.PartSheetmetalFlatPatternCalloutTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlatPatternObjectTypeDisplay

PartSheetmetal.GetFlatPatternObjectTypeDisplay

Returns the display data for a flat pattern object type.

Signature GetFlatPatternObjectTypeDisplay(objectType)

Parameters:objectType (NXOpen.Preferences.PartSheetmetalFlatPatternObjectType) – The object type for which to return the display data.
Returns:The display data for the flat pattern object type.
Return type:NXOpen.Preferences.PartSheetmetalFlatPatternObjectTypeDisplay_Struct

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlexibleCableBottomFaceColor

PartSheetmetal.GetFlexibleCableBottomFaceColor

RETURNS the bottom face color.

Signature GetFlexibleCableBottomFaceColor()

Returns:
Return type:Id

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFlexibleCableTopFaceColor

PartSheetmetal.GetFlexibleCableTopFaceColor

RETURNS the top face color.

Signature GetFlexibleCableTopFaceColor()

Returns:
Return type:Id

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetHoleTreatmentDiameter

PartSheetmetal.GetHoleTreatmentDiameter

RETURNS the hole treatment diameter value in Flat Pattern operation

Signature GetHoleTreatmentDiameter()

Returns:expression object for hole diameter value
Return type:NXOpen.Expression

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetHoleTreatmentType

PartSheetmetal.GetHoleTreatmentType

RETURNS the hole treatment type in Flat Pattern operation

Signature GetHoleTreatmentType()

Returns:hole treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetInnerCornerTreatmentType

PartSheetmetal.GetInnerCornerTreatmentType

RETURNS the inner corner treatment type in Flat as Solid operation

Signature GetInnerCornerTreatmentType()

Returns:outer corner treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetInnerCornerTreatmentValue

PartSheetmetal.GetInnerCornerTreatmentValue

RETURNS the inner corner treatment value for Flat as Solid operations

Signature GetInnerCornerTreatmentValue()

Returns:expression object for inner corner treatment value
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetIsBsplineSimplifiedInFlatSolid

PartSheetmetal.GetIsBsplineSimplifiedInFlatSolid

RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation

Signature GetIsBsplineSimplifiedInFlatSolid()

Returns:flag
Return type:bool

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetIsSystemGeneratedBendReliefRemovedInFlatSolid

PartSheetmetal.GetIsSystemGeneratedBendReliefRemovedInFlatSolid

RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Signature GetIsSystemGeneratedBendReliefRemovedInFlatSolid()

Returns:flag
Return type:bool

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMaintainCircularShapeForHolesInFlatSolid

PartSheetmetal.GetMaintainCircularShapeForHolesInFlatSolid

Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation

Signature GetMaintainCircularShapeForHolesInFlatSolid()

Returns:flag
Return type:bool

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMaterial

PartSheetmetal.GetMaterial

RETURNS the material name saved with the part

Signature GetMaterial()

Returns:The name of the material saved with the part
Return type:str

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMaterialNames

PartSheetmetal.GetMaterialNames

RETURNS the material names defined in the material standards table

Signature GetMaterialNames()

Returns:
Return type:list of str

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMaterialProperties

PartSheetmetal.GetMaterialProperties

RETURNS the material name saved with the part

Signature GetMaterialProperties(materialName)

Parameters:materialName (str) – material Name
Returns:a tuple
Return type:A tuple consisting of (propertyValues, propertyNames) propertyValues is a list of str. property Values propertyNames is a list of str. property Names

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMinimumArcToleranceInFlatSolid

PartSheetmetal.GetMinimumArcToleranceInFlatSolid

RETURNS the minimum arc tolerance during Flat Solid simplification

Signature GetMinimumArcToleranceInFlatSolid()

Returns:flag
Return type:float

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMinimumToolClearance

PartSheetmetal.GetMinimumToolClearance

Returns the minimum tool clearance expression

Signature GetMinimumToolClearance()

Returns:expression object for punch tool clearance
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetMinimumWebLength

PartSheetmetal.GetMinimumWebLength

Returns the minimum Web Length expression

Signature GetMinimumWebLength()

Returns:expression object for Web Length
Return type:NXOpen.Expression

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetNeutralFactor

PartSheetmetal.GetNeutralFactor

RETURNS the neutral factor

Signature GetNeutralFactor()

Returns:expression object for neutral factor of bend areas
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetOffsetRadius

PartSheetmetal.GetOffsetRadius

RETURNS the offset radius

Signature GetOffsetRadius()

Returns:expression object for offset radius of joggle
Return type:NXOpen.Expression

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetOuterCornerTreatmentType

PartSheetmetal.GetOuterCornerTreatmentType

RETURNS the outer corner treatment type in Flat as Solid operation

Signature GetOuterCornerTreatmentType()

Returns:outer corner treatment type
Return type:NXOpen.Features.SheetMetal.FeatureProperty

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetOuterCornerTreatmentValue

PartSheetmetal.GetOuterCornerTreatmentValue

RETURNS the out corner treatment value for Flat as Solid operations

Signature GetOuterCornerTreatmentValue()

Returns:expression object for out corner treatment value
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetSecondaryToolName

PartSheetmetal.GetSecondaryToolName

Returns the secondaryToolName refered from Material Table

Signature GetSecondaryToolName()

Returns:secondaryToolName
Return type:str

New in version NX12.0.0.

License requirements: None.

GetStationaryRadius

PartSheetmetal.GetStationaryRadius

RETURNS the stationary radius

Signature GetStationaryRadius()

Returns:expression object for stationary radius of joggle
Return type:NXOpen.Expression

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

GetTabCurveTypeDisplayData

PartSheetmetal.GetTabCurveTypeDisplayData

Returns the display data for a given tab curve type.

Signature GetTabCurveTypeDisplayData(curveType)

Parameters:curveType (NXOpen.Preferences.PartSheetmetalTabCurveType) – The curve type for which to return the display data.
Returns:The display data for the tab curves object type.
Return type:NXOpen.Preferences.PartSheetmetalTabCurveTypeDisplayData_Struct

New in version NX12.0.0.

License requirements: None.

GetThickness

PartSheetmetal.GetThickness

RETURNS the thickness expression

Signature GetThickness()

Returns:expression object for sheet thickness
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetTool

PartSheetmetal.GetTool

Returns the tool name saved with the part

Signature GetTool()

Returns:The name of the tool saved with the part
Return type:str

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetToolNames

PartSheetmetal.GetToolNames

Returns the tool names defined in the material standards table

Signature GetToolNames()

Returns:
Return type:list of str

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetToolProperties

PartSheetmetal.GetToolProperties

Returns the tool properties saved with the part

Signature GetToolProperties(toolName)

Parameters:toolName (str) – tool Name
Returns:a tuple
Return type:A tuple consisting of (propertyValues, propertyNames) propertyValues is a list of str. property Values propertyNames is a list of str. property Names

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendAllowanceFormula

PartSheetmetal.SetBendAllowanceFormula

SETS the bend allowance formula

Signature SetBendAllowanceFormula(updateModel, bendAllowanceFormula)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendAllowanceFormula (str) – bend allowance formula

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendDeductionFormula

PartSheetmetal.SetBendDeductionFormula

Signature SetBendDeductionFormula(updateModel, bendDeductionFormula)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendDeductionFormula (str) – bend deduction formula

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendDefinitionMethodOption

PartSheetmetal.SetBendDefinitionMethodOption

SETS the bend definition method

Signature SetBendDefinitionMethodOption(updateModel, bendDefinitionMethod)

Parameters:

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendRadius

PartSheetmetal.SetBendRadius

The bend radius value

Signature SetBendRadius(updateModel, bendRadius)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendRadius (str) – default bend radius value for bend faces

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendReliefDepth

PartSheetmetal.SetBendReliefDepth

THE bend relief depth value

Signature SetBendReliefDepth(updateModel, bendReliefDepth)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendReliefDepth (str) – default depth value for bend relief

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendReliefWidth

PartSheetmetal.SetBendReliefWidth

THE bend relief depth value

Signature SetBendReliefWidth(updateModel, bendReliefWidth)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendReliefWidth (str) – default width value for bend relief

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetBendTable

PartSheetmetal.SetBendTable

SETS the bend table name

Signature SetBendTable(updateModel, bendTable)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • bendTable (str) – bend table name

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetDepthThreshold

PartSheetmetal.SetDepthThreshold

THE depth threshold

Signature SetDepthThreshold(updateModel, depthThreshold)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be updated immediately
  • depthThreshold (str) – default depth threshold for joggle

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetDeviationalToleranceInFlatSolid

PartSheetmetal.SetDeviationalToleranceInFlatSolid

SETS the deviational tolerance during Flat Solid simplification

Signature SetDeviationalToleranceInFlatSolid(updateModel, deviationalToleranceInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • deviationalToleranceInFlatSolid (float) – flag

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetDistanceThreshold

PartSheetmetal.SetDistanceThreshold

THE distance threshold

Signature SetDistanceThreshold(updateModel, distanceThreshold)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be updated immediately
  • distanceThreshold (str) – default distance threshold for joggle

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetFlatPatternCalloutOrientationType

PartSheetmetal.SetFlatPatternCalloutOrientationType

Sets the orientation type for flat pattern callouts.

Signature SetFlatPatternCalloutOrientationType(orientation)

Parameters:orientation (NXOpen.Preferences.PartSheetmetalFlatPatternCalloutOrientationType) – The orientation type for the flat pattern callouts.

New in version NX9.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetFlatPatternCalloutTypeContents

PartSheetmetal.SetFlatPatternCalloutTypeContents

Sets the contents for a callout type.

Signature SetFlatPatternCalloutTypeContents(calloutType, contents)

Parameters:
  • calloutType (str) – The name of the callout type for which to set the content.
  • contents (list of str) – The contents for the callout type.

New in version NX9.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetFlatPatternCalloutTypeDisplay

PartSheetmetal.SetFlatPatternCalloutTypeDisplay

Sets the display data for a callout type.

Signature SetFlatPatternCalloutTypeDisplay(calloutType, displayData)

Parameters:

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetFlatPatternObjectTypeDisplay

PartSheetmetal.SetFlatPatternObjectTypeDisplay

Sets the display data for a flat pattern object type.

Signature SetFlatPatternObjectTypeDisplay(updateModel, objectType, displayData)

Parameters:

New in version NX5.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetFlexibleCableBottomFaceColor

PartSheetmetal.SetFlexibleCableBottomFaceColor

THE bottom face color.

Signature SetFlexibleCableBottomFaceColor(bottomFaceColor)

Parameters:bottomFaceColor (Id) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetFlexibleCableTopFaceColor

PartSheetmetal.SetFlexibleCableTopFaceColor

THE top face color.

Signature SetFlexibleCableTopFaceColor(topFaceColor)

Parameters:topFaceColor (Id) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetHoleTreatmentDiameter

PartSheetmetal.SetHoleTreatmentDiameter

SETS the hole treatment diameter value in Flat Pattern operation

Signature SetHoleTreatmentDiameter(updateModel, diameter)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • diameter (str) – default value for hole diameter

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetHoleTreatmentType

PartSheetmetal.SetHoleTreatmentType

SETS the hole treatment type in Flat Pattern operation

Signature SetHoleTreatmentType(updateModel, holeTreatmentType)

Parameters:

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetInnerCornerTreatmentType

PartSheetmetal.SetInnerCornerTreatmentType

SETS the inner corner treatment type in Flat as Solid operation

Signature SetInnerCornerTreatmentType(updateModel, innerCornerTreatmentType)

Parameters:

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetInnerCornerTreatmentValue

PartSheetmetal.SetInnerCornerTreatmentValue

SETS the inner corner treatment value for Flat as Solid operations

Signature SetInnerCornerTreatmentValue(updateModel, innerCornerTreatment)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • innerCornerTreatment (str) – default value for inner corner treatment

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetIsBsplineSimplifiedInFlatSolid

PartSheetmetal.SetIsBsplineSimplifiedInFlatSolid

SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation

Signature SetIsBsplineSimplifiedInFlatSolid(updateModel, isBsplineSimplifiedInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • isBsplineSimplifiedInFlatSolid (bool) – flag

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetIsSystemGeneratedBendReliefRemovedInFlatSolid

PartSheetmetal.SetIsSystemGeneratedBendReliefRemovedInFlatSolid

SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Signature SetIsSystemGeneratedBendReliefRemovedInFlatSolid(updateModel, isSystemGeneratedBendReliefRemoved)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • isSystemGeneratedBendReliefRemoved (bool) – flag

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetMaintainCircularShapeForHolesInFlatSolid

PartSheetmetal.SetMaintainCircularShapeForHolesInFlatSolid

Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation

Signature SetMaintainCircularShapeForHolesInFlatSolid(updateModel, isMaintainCircularShapeForHoles)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • isMaintainCircularShapeForHoles (bool) – flag

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetMaterial

PartSheetmetal.SetMaterial

The material standard

Signature SetMaterial(updateModel, standardName)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • standardName (str) – The name of a material from the material standards file

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetMinimumArcToleranceInFlatSolid

PartSheetmetal.SetMinimumArcToleranceInFlatSolid

SETS the minimum arc tolerance during Flat Solid simplification

Signature SetMinimumArcToleranceInFlatSolid(updateModel, minimumArcToleranceInFlatSolid)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • minimumArcToleranceInFlatSolid (float) – flag

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetMinimumToolClearance

PartSheetmetal.SetMinimumToolClearance

Sets minimum tool clearance expression

Signature SetMinimumToolClearance(updateModel, minToolClearance)

Parameters:
  • updateModel (bool) – Specifies whether the model be updated immediately
  • minToolClearance (str) – minimum tool clearance value for NX Sheetmetal model

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetMinimumWebLength

PartSheetmetal.SetMinimumWebLength

Sets minimum Web Length expression

Signature SetMinimumWebLength(updateModel, minWebLength)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • minWebLength (str) – minimum Web Length value for NX Sheetmetal model

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetNeutralFactor

PartSheetmetal.SetNeutralFactor

THE bend relief depth value

Signature SetNeutralFactor(updateModel, neutralFactor)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • neutralFactor (str) – default neutral factor value for bend relief

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetOffsetRadius

PartSheetmetal.SetOffsetRadius

THE offset radius

Signature SetOffsetRadius(updateModel, offsetRadius)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be updated immediately
  • offsetRadius (str) – default offset radius for joggle

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetOuterCornerTreatmentType

PartSheetmetal.SetOuterCornerTreatmentType

SETS the outer corner treatment type in Flat as Solid operation

Signature SetOuterCornerTreatmentType(updateModel, outerCornerTreatmentType)

Parameters:

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetOuterCornerTreatmentValue

PartSheetmetal.SetOuterCornerTreatmentValue

THE outer corner treatment value for Flat as Solid operations

Signature SetOuterCornerTreatmentValue(updateModel, outerCornerTreatment)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • outerCornerTreatment (str) – default value for out corner treatment

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetSecondaryToolName

PartSheetmetal.SetSecondaryToolName

Signature SetSecondaryToolName(updateModel, secondaryToolName)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • secondaryToolName (str) – secondaryToolName

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetStationaryRadius

PartSheetmetal.SetStationaryRadius

THE stationary radius

Signature SetStationaryRadius(updateModel, stationaryRadius)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be updated immediately
  • stationaryRadius (str) – default stationary radius for joggle

New in version NX11.0.0.

License requirements: adv_sheet_metal_dsgn (“ADVANCED SHEET METAL DESIGN”)

SetTabCurveTypeDisplayData

PartSheetmetal.SetTabCurveTypeDisplayData

Sets the display data for a given tab curve type.

Signature SetTabCurveTypeDisplayData(updateModel, curveType, displayData)

Parameters:

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetThickness

PartSheetmetal.SetThickness

THE thickness value string

Signature SetThickness(updateModel, thickness)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • thickness (str) – default thickness value for NX Sheetmetal solids

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

SetTool

PartSheetmetal.SetTool

The tool standard

Signature SetTool(updateModel, standardName)

Parameters:
  • updateModel (bool) – Specifies whether the solid model be recomputed immediately
  • standardName (str) – The name of a tool from the material standards file

New in version NX6.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)